2010-05-12  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* configure.ac: Show any failure reason for curl.

2010-04-28  Andreia Gaita  <avidigal@novell.com>

	* configure.ac: remove ff36 bridge

2010-03-30  Andreia Gaita  <avidigal@novell.com>

	* autogen.sh: add curl build step

2010-02-26  Andreia Gaita  <avidigal@novell.com>

	* configure.ac: Add curl bridge, curl checks and--with-curl flag
	to activate building the bridge

2010-01-28  Andreia Gaita  <avidigal@novell.com>

	* configure.ac: Add Firefox 3.6 support

2009-12-15  Andrew Jorgensen  <ajorgensen@novell.com>

	* moonlight.spec.in: own $prefix/lib/moonlight (SUSE does not
	like un-owned directories)
	Add libmoon-devel to hold the libmoon.so symlink (and maybe,
	some day, header files)

2009-12-15  Chris Toshok  <toshok@ximian.com>

	* moonlight.spec.in: install the .pc files in datadir, not in
	libdir.

2009-12-12  Chris Toshok  <toshok@ximian.com>

	* moonlight.spec.in: use %{_prefix}/lib/moonlight/2.0 instead of
	%{_libdir}/moonlight/2.0 for the sdk directories.

	* data/Makefile.am: correct the webdir reference to the SDK to be
	the same as its install location.

2009-12-11  Andrew Jorgensen  <ajorgensen@novell.com>

	* configure.ac:
	* moonlight.spec.in: Added moonlight RPM spec

2009-12-11  Jeffrey Stedfast  <fejj@novell.com>

	* README: Fixed some grammar and spacing issues.

2009-12-07  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* moon.mds: Remove mopen1.mdp.

2009-12-08  Chris Toshok  <toshok@ximian.com>

	* configure.ac: keep all the most recent target runtime versions
	here and we'll subst them around.

2009-11-30  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* configure.ac: MOON_A11Y_INTERNAL_HACK is not needed anymore
	  since the audit finished in r147098. r: spouliot

2009-11-23  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* configure.ac: Add generation of FakeA11yBridge/Makefile.

	r: spouliot

2009-11-04  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* configure.ac: Show if we were built with debug on or off.

	r: spouliot

2009-10-19  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* demo-status.sh: Don't report failure quite yet.

	r: alan.

2009-10-06  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* demo-status.sh: Added, used to created demo-status.html
	from demo-status.txt.

2009-09-29  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* configure.ac: Warn about missing 'zip' tool, needed
	by Moonlight.MXap at run time.

	r: toshok

2009-08-26  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* configure.ac: Detect env var that enables a11y.

2009-08-16  Chris Toshok  <toshok@ximian.com>

	* configure.ac: add foreign to AM_INIT_AUTOMAKE so it stops
	warning us about the gmake-isms.

	r: andreia

2009-07-27  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* moon.mds: For DEBUG builds do a minimal build.

2009-06-29  Rusty Howell  <rhowell@novell.com>

	 * configure.ac: bump version to 1.9.5.99

2009-06-02  Rusty Howell  <rhowell@novell.com>

	 * configure.ac:
	 * Makefile.am:
	    Added --without-examples to disable building examples

2009-06-02  Sebastien Pouliot  <sebastien@ximian.com>

	* configure.ac: Add a define for the PREVIEW_VERSION so updating
	the environment variable (in src/security.c) is not required anymore

2009-06-01  Rusty Howell  <rhowell@novell.com>

	 * configure.ac: add no-dist-gzip to disable tar.gz
	     We only need tar.bz2

2009-05-29  Rusty Howell  <rhowell@novell.com>

	 * configure.ac: Bump version to 1.9.3.99

2009-05-21  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* configure.ac: Add test/cpp/Makefile to the output.

2009-05-18  Rusty Howell  <rhowell@novell.com>

	* configure.ac: Bump version to 1.9.3

2009-05-17  Sebastien Pouliot  <sebastien@ximian.com>

	* demo-status.txt: Add sample application that uses sockets

2009-05-06  Raja R Harinath  <harinath@hurrynot.org>

	* Makefile.am (ACLOCAL_AMFLAGS): Add.

2009-05-04  Michael Hutchinson  <mhutchinson@novell.com>

	* data/Makefile.am: Guard the managed browser pc files 
	  with INCLUDE_BROWSER_MANAGED_CODE.

2009-05-04  Michael Hutchinson  <mhutchinson@novell.com>

	* data/Makefile.am:
	* data/moon-browser-redist-assemblies.pc:
	  Add a pkgconfig file for redistributable assemblies.

2009-05-04  Sebastien Pouliot  <sebastien@ximian.com>

	* configure.ac: Add sockpol

2009-05-02  Andreia Gaita  <avidigal@novell.com>

	* configure.ac: add unwind libs to shocker to support
	DEBUG_ERROR_GECKO (only on debug mode, see shocker.cpp)

2009-04-30  Andreia Gaita  <avidigal@novell.com>

	* configure.ac: Added new tool (moonvisi) to parse
	ref/unref debug	output and generate dot files

2009-04-29  Andreia Gaita  <avidigal@novell.com>

	* configure.ac: Add libunwind checks

2009-04-23  Aaron Bockover  <abockover@novell.com>

	* Makefile.am: Only enable the user-plugin target if 
	PLUGIN_INSTALL is set from configure

2009-04-22  Rusty Howell  <rhowell@novell.com>

	* configure.ac, Makefile.am: Add support for make user-plugin.
		--enable-user-plugin is no longer needed

2009-04-21  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* configure.ac: Add support for --with-mono-basic-path=<path>

2009-04-14  Stephane Delcroix  <sdelcroix@novell.com>

	* configure.ac: swap definition order of variables for PERF_TOOL so I
	can keep building it

2009-04-14  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* Makefile.am: Revert r131611, it breaks 'make install'.

2009-04-13  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* configure.ac: Remove objecttypes here too.

2009-04-13  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* configure.ac: Include the test templates in the build.

2009-04-13  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* moon.mds: Add a project for each tool, and clean up some of
	  the existing projects.

2009-04-08  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* configure.ac: Remove agviewer and test-runner from the
	  build.

2009-04-03  Aaron Bockover  <abockover@novell.com>

	* configure.ac: gtksilver -> Moonlight.Gtk

2009-04-03  Aaron Bockover  <abockover@novell.com>

	* configure.ac: Remove DISTCHECK_CONFIGURE_FLAGS - was only there for
	testing the new build stuff

2009-04-02  Aaron Bockover  <abockover@novell.com>

	* configure.ac: Lots of clean up, easier to read, call the new macros;
	changed the tarball name from moon to moonlight, version from 1.9 to 1.9.0
	to make packaging more consistent for distributions; make sure -I m4
	gets passed to aclocal when running 'make' and configure has changed

	* m4/: Factored out all the major checks in configure.ac into easier to
	read and maintain m4 macros; most of the logic is identical - major changes
	documented below

	* m4/mono.m4: Completely rewrote the Mono checks; nuked --with-managed;
	managed code now implied/required; added --disable-browser-support and
	--disable-desktop-support options; if browser support is disabled, allow
	building with a Mono as old as 2.0; define MONO_ENABLE_APP_DOMAIN_CONTROL
	and MONO_ENABLE_CORECLR_SECURITY if Mono 2.5 or better is available, which
	is required for the browser plugin

	* autogen.sh: Updated to pass -I m4 to aclocal

	* Makefile.am: Fix up SUBDIRS; don't enter the plugins directory if
	we're not going to build the plugin

2009-04-02  Jb Evain  <jbevain@novell.com>

	* Makefile.am: add scripts to SUBDIRS.

2009-03-31  Jb Evain  <jbevain@novell.com>

	* configure.ac: take care of the new scripts folder.

2009-03-17  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* moon.mds: Updated.

2009-03-17  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* configure.ac: Updated.

2009-03-16  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* configure.ac: Include support for building MS' toolkit tests
	  in our build.

2008-03-10  Sebastien Pouliot  <sebastien@ximian.com>

	* configure.ac: Add class/tuning/SecurityAttributes/Makefile to
	AC_OUTPUT

2009-02-27  Jb Evain  <jbevain@novell.com>

	* configure.ac: change configure script to take mcs path
	so that we can tune the 2.1 assemblies from moon.

2009-02-02  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* moon.mds: Updated to use new MD features (ChangeLog and log
	  message policy).

2009-01-29  Geoff Norton  <gnorton@novell.com>

	* configure.ac: Add MONO here too as runtime needs to know about window
	which needs to know about deployment, which needs to know about domain.

2009-01-28  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* autogen.sh: Make --with-sanity default.

	* configure.ac: Add --with-sanity-checks, --with-object-tracking and
	--with-logging.

2009-01-27  Chris Toshok  <toshok@ximian.com>

	* configure.ac: don't grep/awk to find the codec version to build
	a filename.  instead, the codec version is in codec-version.h.in.
	this gets generated with all the proper bits from the configure
	process and included in pipeline.cpp and pipeline-ui.cpp (instead
	of pipeline.h, which should keep recompile costs down when the
	version changes.)

2009-01-27  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* tools/tools.mdp: Yay code-completion in MD.

2009-01-23  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* configure.ac: Add munxap.

	* tools/munxap: Initial munxap.

	* tools/tools.mdp: Updated.

2009-01-19  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* moon.mds: Update.

2009-01-19  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* tools/tools.mdp: Updated.

2009-01-12  Jackson Harper  <jackson@ximian.com>

	* tools/respack/respack.cs: Add support for unpacking resources
	from assemblies.
	* tools/respack/Makefile.am: Add an unrespack script.
	* man/respack.1: Update man page to describe unpacking.

2009-01-12  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* configure.ac: Enable System.Windows.Controls[.Data] here too.

2009-01-12  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* configure.ac: Enable System.Windows.Controls[.Data] here too.

2009-01-07  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* tools/respack/respack.cs: Add support for specifying the name for each
	resource.

2008-12-20  Geoff Norton  <gnorton@novell.com>

	* configure.ac: We work just fine on Firefox 3 so far, so lets
	enable support for it in the plugin.

2008-12-19  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* moon.mds: Updated.

2008-12-17  Chris Toshok  <toshok@ximian.com>

	* configure.ac: remove unnecessary --with-managed assignments.
	also remove class/Mono.Moonlight/Makefile from AC_OUTPUT.

	* data/silverdesktop.pc: remove Mono.Moonlight mention.

	* data/agmono.pc.in: nuke.

	* data/Makefile.am: remove agmono stuff.

2008-12-16  Jeffrey Stedfast  <fejj@novell.com>

	* configure.ac: Added checks for libexpat. Fixes bug #449528

2008-12-11  Jeffrey Stedfast  <fejj@novell.com>

	* configure.ac: Add glib-2.0 to the dependencies for FF2 and FF3
	LIBS. Partial fix for bug #455885.

	r: toshok, kangaroo

2008-12-01  Geoff Norton  <gnorton@novell.com>

	* configure.ac: Ensure that we always link against libexpat, we cannot
	trust libtool to always flatted our NEEDED's.

	r: toshok

2008-12-01  Larry Ewing  <lewing@novell.com>

	* test/xaml/drtlist.xml: remove failure tag from a bunch of tests
	that are passing.

2008-11-25  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* tools/unsign, tools/unsign/Makefile, tools/unsign/unsign.cs: Added,
	  tool to remove strong name signature from an assembly.

2008-11-21  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* moon.mds: Updated.

2008-11-19  Geoff Norton  <gnorton@novell.com>

	* configure.ac: Don't link our plugin against unnecessary things.
	Saves about .5MB in our uncompressed disk profile.

	r: toshok

2008-11-19  Sebastien Pouliot <sebastien@ximian.com>

	* configure.ac: Use -fstack-protector-all when compiling with GCC

2008-11-19  Stephane Delcroix  <sdelcroix@novell.com>

	* cairo/: update cairo to 1.8,4

2008-11-12  Rusty Howell <rhowell@novell.com>

	* configure.ac: Set ac_subst for INSTALL_ARCH, SL_PROFILE, for install.rdf

2008-11-12  Jeffrey Stedfast  <fejj@novell.com>

	* configure.ac: Require Mono 2.2

2008-11-11  Geoff Norton  <gnorton@novell.com>

	* Makefile.am: The perf suite requires managed code

2008-11-06  Stephane Delcroix  <sdelcroix@novell.com>

	* configure.ac:
	* tools/mopen/Makefile.am: pass distcheck

	r:gnorton

2008-11-05  Jeffrey Stedfast  <fejj@novell.com>

	* configure.ac: Check for sys/time.h

2008-11-03  Fernando Herrera  <fherrera@novell.com>

	* README: Added info about MOONLIGHT_DEBUG env variable.

2008-11-03  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* configure.ac: Don't dlopen mono, just link with it if -with-debug is
	  specified.

2008-11-03  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* configure.ac: Remove SWSCALE flags, we don't use swscale anymore.

2008-11-03  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* configure.ac: Revert r117547 and related.

2008-10-31  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* configure.ac: Don't link with ffmpeg anymore. Remove the "no decoding
	  backend" warning, it may produce false positives.

2008-10-30  Michael Dominic K.  <mdk@mdk.am>

	* pixman/applied-patches/PATCHES:
	* pixman/applied-patches/radial-gradient.patch:
	* pixman/pixman/pixman-source.c: A patch by Andre Tupinamba for radial gradients.
	Moves some calculations outside the walker loop.

2008-10-24  Jeffrey Stedfast  <fejj@novell.com>

	* configure.ac: Disable the xcb cairo backend. Fixes bug #438265.

2008-10-16  Geoff Norton  <gnorton@novell.com>

	* configure.ac: Encode the binary codec name at configure time.

2008-10-16  Fernando Herrera  <fherrera@novell.com>

	* README: Update codecs options.

2008-10-13  Aaron Bockover  <abockover@novell.com>

	* src/pipeline-ui.cpp: Set width request on the labels and not the
	dialog to ensure they wrap properly; remove bad hard coded new
	lines on the intro message; set the icon to dialog-error when 
	there's an error

2008-10-08  Stephane Delcroix  <sdelcroix@novell.com>

	* cairo, pixman: local changes to the build files, include the -embed.h
	files.

2008-10-08  Stephane Delcroix  <sdelcroix@novell.com>

	* cairo, pixman: upgrade to 1.8.0, 0.12.0

2008-10-02  Jeffrey Stedfast  <fejj@novell.com>

	* configure.ac: If building against the system cairo, make sure it
	is 1.8.0 or later.

2008-09-16  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* configure.ac: Use dlopen/dlsym to access all alsa methods, and don't
	  link with alsa anymore

2008-09-16  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* configure.ac: Use dlopen/dlsym to access all pa methods, and don't
	  link with pulseaudio anymore. Hopefully fixes #425560.

2008-09-03  Jackson Harper  <jackson@ximian.com>

	* tools/xamlg/xamlg.cs: Add code for getting resources, it's
	commented out right now, because MS isn't doing this, but I wrote
	the code before I realized that, and will leave it in, since I am
	sure it will be added at some point.
	- Don't try to lookup names or resources if we are an Application,
	since System.Windows.Application doesnt have a FindName/Resource
	in Silverlight.

2008-08-22  Raja R Harinath  <harinath@hurrynot.org>

	* configure.ac (SMCS_ASM): Remove spaces around '='.

2008-08-19  Chris Toshok  <toshok@ximian.com>

	* configure.ac: beautify the configuration output.

2008-08-02  Miguel de Icaza  <miguel@novell.com>

	* tools/mxap/mxap.cs: Use NDesk.GetOptions instead of another
	custom parser.

2008-08-19  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* configure.ac: Add configure options for alsa and pulseaudio.

2008-08-18  Michael Dominic K.  <mdk@mdk.am>

	* Makefile.am:
	* perf/Makefile.am: Adding make targets for perf runs.

2008-08-18  Michael Dominic K.  <mdk@mdk.am>

	* Makefile.am:
	* configure.ac:
	* perf/Makefile:
	* perf/Makefile.am:
	* perf/perf-suite-runner/DrtItem.cs: Adding the perf suite to the build system.

2008-08-17  Chris Toshok  <toshok@ximian.com>
	
	* configure.ac: rework the SL2 checks so that we can enable
	browser (2.1) assemblies separate from the desktop (3.0)
	assemblies.

	1) new configure arg --with-managed replaces --with-mono.  It's
	not yes/no only.  It allows for: "yes" (both desktop and browser),
	"no" (neither), "desktop" (just desktop), and "browser" (just
	browser.)

	2) replace the INCLUDE_MONO_RUNTIME AM_CONDITIONAL with 3 distinct
	ones.  INCLUDE_MANAGED_CODE (for when either desktop/browser are
	enabled), INCLUDE_BROWSER_MANAGED_CODE (for when 2.1 is enabled),
	and INCLUDE_DESKTOP_MANAGED_CODE (for when 3.0 is enabled.)

	3) add a SL_PLUGIN_2_0 AC_DEFINE alongside the SL_2_0 one that's
	already there, to deal with the fact that if you don't enable the
	browser assemblies, we need to build a 1.0-only plugin.  But this
	plugin might be talking to a 2.0-enabled core (due to desktop
	assemblies being enabled.)

	4) clean up the configuration output at the end to show
	everything.
	
	* Makefile.am (MONO_SUBDIRS): include class/ if
	INCLUDE_MANAGED_CODE.  also, include the gtk/examples/man/data
	directories if INCLUDE_DESKTOP_MANAGED_CODE is enabled.

	* tools/Makefile.am: INCLUDE_MONO_RUNTIME ->
	INCLUDE_DESKTOP_MANAGED_CODE.

2008-08-12  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* moon.mds: Updated.

2008-08-10  Raja R Harinath  <harinath@hurrynot.org>

	* configure.ac (HAVE_CAIRO_LINE_CAP_TRIANGLE): Look for
	cairo/src/cairo.h in $srcdir.  Remove Useless Use of cat.
	(large file support): Name cache variable 'moon_cv_largefile64_source'.

2008-08-08  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* tools/tools.mdp: Updated.

2008-08-08  Fernando Herrera <fherrera@novell.com>

	* configure.ac: add class/Microsoft.SilverlightControls.

2008-08-06  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* moon.mds: Make src and plugin projects build.

2008-08-05  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* tools/tools.mdp: Updated.

2008-08-03  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* tools/tools.mdp: Updated.

2008-08-03  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* tools/tools.mdp: Added typeandkindgen: generates
	  Mono.Moonlight/Mono/Surface.g.cs (a dictionary of Type/Kind).

2008-08-02  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* moon.mds: Updated.
	* tools/tools.mdp: Added.
	* tools/generators: Moved typegen to moon/generators, and add methodgen
	  to generate pinvokes, and cgen to generate c bindings.

2008-08-01  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* tools/mxap/mxap.cs: Implement custom html files, stack traces for
	  assemblies (by including mdb files too) and return a non-zero error
	  code if any of the sub-processes fail.

2008-07-30  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* moon.mds: Updated.

2008-07-28  Jackson Harper  <jackson@ximian.com>

	* tools/mxap/mxap.cs: Use only the .dll name for Assembly Source.
	* tools/respack/respack.cs: For some reason, these names need to
	be lower case to run on windows.

2008-07-22  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* tools/mxap/mxap.cs: Changed indenting and newlines to match MS'
	  AppManifest.xaml, makes it easier to see if they are different.
	  Updated RuntimeVersion to 2.0.30523.6.

2008-07-22  Jackson Harper  <jackson@ximian.com>

	* tools/mxap/mxap.cs: Create an HTML wrapper for our application.

2008-07-21  Michael Dominic K.  <mdk@mdk.am>

	* examples/gnome-orbiter/Background.cs:
	* examples/gnome-orbiter/Button.cs:
	* examples/gnome-orbiter/Entry.cs:
	* examples/gnome-orbiter/EntryData.cs:
	* examples/gnome-orbiter/LayoutFu.cs:
	* examples/gnome-orbiter/Main.cs:
	* examples/gnome-orbiter/Makefile:
	* examples/gnome-orbiter/PlanetFetcher.cs:
	* examples/gnome-orbiter/README:
	* examples/gnome-orbiter/Throbber.cs:
	* examples/gnome-orbiter/Window.cs:
	* examples/gnome-orbiter/theme-black/Background.xaml:
	* examples/gnome-orbiter/theme-black/Button.xaml:
	* examples/gnome-orbiter/theme-black/Entry.xaml:
	* examples/gnome-orbiter/theme-black/Throbber.xaml:
	* examples/gnome-orbiter/theme-blue/Background.xaml:
	* examples/gnome-orbiter/theme-blue/Button.xaml:
	* examples/gnome-orbiter/theme-blue/Entry.xaml:
	* examples/gnome-orbiter/theme-blue/Throbber.xaml: One more example showing XAML 
	theming capabilities. Check out the README file.

2008-07-20  Jackson Harper  <jackson@ximian.com>

	* configure.ac:
	* tools/Makefile.am: Add mxap to the 2.0 build

2008-07-20  Jackson Harper  <jackson@ximian.com>

	* tools/mxap/*: New mxap tool for creating very simple .xap
	files.  This is a pretty basic version, but useful for most simple
	cases.

2008-07-20  Jackson Harper  <jackson@ximian.com>

	* man/Makefile.am:
	* man/mxap.1: man page for new mxap tool

2008-07-18  Jackson Harper  <jackson@ximian.com>

	* tools/xamlg/xamlg.cs: Fix component stream name creation.

2008-07-18  Jackson Harper  <jackson@ximian.com>

	* tools/respack/Makefile.am: Fix script.

2008-07-18  Jackson Harper  <jackson@ximian.com>

	* tools/xamlg/xamlg.cs: Add support for creating SL2 partial
	classes.  You need to supply the app (xap) name on the cmdline
	like so: xamlg -sl2app:MyApp Page.xaml
	
2008-07-18  Michael Dominic K.  <mdk@mdk.am>

	* examples/clock-hands/Makefile:
	* examples/clock-hands/hands.cpp:
	* examples/clock-hands/hands.html: Another example for Moonlight + Gtk integration. 
	Embedding mozilla with moonlight plugin + js.

2008-07-17  Michael Dominic K.  <mdk@mdk.am>

	* examples/photo-browser/1.jpg:
	* examples/photo-browser/2.jpg:
	* examples/photo-browser/3.jpg:
	* examples/photo-browser/4.jpg:
	* examples/photo-browser/5.jpg:
	* examples/photo-browser/Makefile:
	* examples/photo-browser/PhotoBrowser.boo:
	* examples/photo-browser/README: Adding a photobrowser example, one of the few simple 
	Moonlight apps demoed at GUADEC 2008. Shows how to mix & match GTK with Moonlight. 
	Uses Boo, excluded from default build.

2008-07-14  Andrew Jorgensen  <ajorgensen@novell.com>

	* configure.ac: Remove linking in nspr and strip out nspr libraries
	from link flags

2008-07-10  Geoff Norton  <gnorton@novell.com>

	* configure.ac: Remove senseless linking on nss.

2008-07-03  Jeffrey Stedfast  <fejj@novell.com>

	* acinclude.m4: Add some pthread lib checking action.

	* configure.ac: Include the FreeType2 and FontConfig CFLAGS/LIBS
	in the MOON_CFLAGS/LIBS variable. Same for zlib. Call our new
	PTHREAD_CHECK macro and add PTHREAD_LIBS to MOON_LIBS.

2008-06-27  Larry Ewing  <lewing@novell.com>

	* test/xaml/test-opacity-outside-canvas-bounds.xaml: modify to
	catch another possible opacity clip case.

2008-06-27  Michael Dominic K.  <mdk@mdk.am>

	* test/xaml/test-radialgradientbrush-origin.xaml: Adding an example of
	broken radial gradient brush, as seen in #401871.

2008-06-23  Jeffrey Stedfast  <fejj@novell.com>

	* acinclude.m4, configure.ac: Added DOLT support.

2008-06-10  Andrew Jorgensen  <ajorgensen@novell.com>

	* configure.ac: Figure out the firefox ABI string only if we're
	building the firefox plugin

2008-06-10  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* moon.mds: Updated.

2008-06-06  Stephane Delcroix  <sdelcroix@novell.com>

	* tools/xamlg/Makefile.am: fixing the do_subst.

2008-06-02  Michael Dominic K.  <mdk@mdk.am>

	* configure.ac: By default build with Silverlight bugs.

2008-05-30  Michael Dominic K.  <mdk@mdk.am>

	* configure.ac: Adding --with-compatibility-bugs switch (defaults to no)
	that allows to build ML with *ugh* compatibility bugs (same bugs that SL
	1.0 has). This will be needed for AnimaionMatrix2.

2008-05-28  Andrew Jorgensen  <ajorgensen@novell.com>

	* ffmpeg.patch: plugin installer ffmpeg patch was missing some tweaks

2008-05-23  Andrew Jorgensen  <ajorgensen@novell.com>

	* configure.ac: The plugin installer can be built with support for
	either firefox or both
	* INSTALL: The installer works fine without mono support

2008-05-23  Andrew Jorgensen  <ajorgensen@novell.com>

	* configure.ac: Fallback to not using ffmpeg if it's not found

2008-05-19  Andrew Jorgensen  <ajorgensen@novell.com>

	* configure.ac: MOON_PROG_CFLAGS should use top_srcdir, not top_builddir

2008-05-18  Miguel de Icaza  <miguel@novell.com>

	* Add new tool to package xaml files into the .g.resources
	expected by Silverlight 2

2008-05-16  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* moon.mds: Updated.

2008-05-15  Andrew Jorgensen  <ajorgensen@novell.com>

	* configure.ac: Make target tests more generic

2008-05-15  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* configure.ac: Added target as requested by error message.

2008-05-15  Andrew Jorgensen  <ajorgensen@novell.com>

	* configure.ac: ignore target_vendor part

2008-05-15  Andrew Jorgensen  <ajorgensen@novell.com>

	* configure.ac: Determine mozilla os-abi string for targetPlatform

2008-05-14  Andrew Jorgensen  <ajorgensen@novell.com>

	* Makefile.am: Don't build anything but what needs to be built when
	building the plugin installer

2008-05-13  Andrew Jorgensen  <ajorgensen@novell.com>

	* Makefile.am: tools must build after other mono stuff

2008-05-13  Andrew Jorgensen  <ajorgensen@novell.com>

	* configure.ac, Makefile.am: Fixes so that we can build on a system that
	actually has no mono on it.

2008-05-13  Andrew Jorgensen  <ajorgensen@novell.com>

	* configure.ac: Bump version so that we can make a source release

2008-05-12  Andrew Jorgensen  <ajorgensen@novell.com>

	* configure.ac: Add ffmpeg and swscale to MOON_PROG_CFLAGS
	and MOON_PROG_LIBS so that the test harness can build when building
	the plugin installer

2008-05-12  Andrew Jorgensen  <ajorgensen@novell.com>

	* ffmpeg.patch: Updated ffmpeg patch to r10885

2008-05-09  Chris Toshok  <toshok@ximian.com>

	* configure.ac: error out if --enable-user-plugin is specified
	without both ff2 and ff3 being enabled.

2008-05-09  Chris Toshok  <toshok@ximian.com>

	* configure.ac: fix the check for ff3, and remove the AC_MSG_ERROR
	i was using to debug ff2.
	
2008-05-08  Chris Toshok  <toshok@ximian.com>

	* configure.ac: make ff2 and ff3 non-mutually exclusive.  if
	either is present we build the correct bridge.

2008-05-07  Andrew Jorgensen  <ajorgensen@novell.com>

	* configure.ac: Don't set mono_*dir variables at configure time

2008-05-07  Andrew Jorgensen  <ajorgensen@novell.com>

	* configure.ac: Don't link against MOZILLA_LIBS because they will
	already be loaded in the browser

2008-05-06  Andrew Jorgensen  <ajorgensen@novell.com>

	* configure.ac: Don't link against libraries included in the XPI

2008-05-06  Andrew Jorgensen  <ajorgensen@novell.com>

	* configure.ac: Change min and max ff version in rdf depending on
	usage of --with-ff3

2008-04-30  Andrew Jorgensen  <ajorgensen@novell.com>

	* configure.ac: dbus-glib-1 0.60 should be new enough

2008-04-30  Michael Dominic K.  <mdk@mdk.am>

	* configure.ac:
	* moon.pc.in: Don't put the MOON_CFLAGS and MOON_LIBS in the pc file
	as it contains some local garbage. Instead, put stripped-down
	MOON_EXTRA_CFLAGS and MOON_EXTRA_LIBS. Make it possible to actually
	compile against moon.pc.

2008-04-25  Andrew Jorgensen  <ajorgensen@novell.com>

	* configure.ac: Hack to remove glitz from the link flags
	fixes Bug 338506

2008-04-25  Geoff Norton  <gnorton@novell.com>

	* configure.ac: Detect the location of the avcodec.h header

2008-04-25  Jackson Harper  <jackson@ximian.com>

	* configure.ac: Add min versions for the testing dependencies.

2008-04-25  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* configure.ac: Add XTST flags to SHOCKER variables.

2008-04-24  Geoff Norton  <gnorton@novell.com>

	* configure.ac: Reinstate a few needed uglies for the plugin builder

2008-04-24  Geoff Norton  <gnorton@novell.com>

	* configure.ac: Autoconf treats [] as null.  Set a fake variable
	to not abort execution if xrandr isn't present.

2008-04-24  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* configure.ac: Add another directory to search for MS' drtlist.

2008-04-24  Fernando Herrera  <fherrera@novell.com>

	* class/Makefile.am: Fix "make -jN" build.

2008-04-23  Geoff Norton  <gnorton@novell.com>

	* configure.ac: Rewrite our configure.ac to be legible and 
	maintainable.
	
2008-04-23  Geoff Norton  <gnorton@novell.com>

	* configure.ac: More pango removal.
	
2008-04-23  Geoff Norton  <gnorton@novell.com>

	* configure.ac: Remove Pango support.
	
2008-04-23  Geoff Norton  <gnorton@novell.com>

	* configure.ac: Initial build system cleanup and support for 
	linking against system cairo.
	
2008-04-22  Larry Ewing  <lewing@novell.com>

	* configure.ac: check for new mozembed versions.

2008-04-22  Larry Ewing  <lewing@novell.com>

	* configure.ac: new checks for firefox3/libxul1.9. Define
	HAVE_LIBXUL_UNSTABLE in the ff3 case.

	Get the build working under firefox3 and opensuse 11.
	
2008-04-17  Andrew Jorgensen  <ajorgensen@novell.com>

	* Makefile.am: Only build what we actually need when building
	the plugin installer.  This avoids extra build time and a link
	problem due to the new native mopen.

2008-04-16  Jb Evain  <jbevain@novell.com>

	* configure.ac, class/Makefile.am: use the new smcs.pc to
	get the location of smcs.exe for our private use.

2008-04-16  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* moon.mds: Updated.

2008-04-14  Andrew Jorgensen  <ajorgensen@novell.com>

	* pixman/configure.ac: Don't generate test/Makefile

2008-04-14  Andrew Jorgensen  <ajorgensen@novell.com>

	* pixman/configure.ac: Don't generate test/Makefile

2008-04-14  Andrew Jorgensen  <ajorgensen@novell.com>

	* pixman/configure.ac: Don't generate test/Makefile

2008-04-14  Andrew Jorgensen  <ajorgensen@novell.com>

	* cairo, pixman: Update to cairo-1.6.4 and pixman-0.10.0

2008-04-08  Andrew Jorgensen  <ajorgensen@novell.com>

	* configure.ac: Remove xtst from SHOCKER_LIBS pkg-config command

2008-04-02  Andrew Jorgensen  <ajorgensen@novell.com>

	* Makefile.am: Fixed dist of examples/

2008-04-02  Miguel de Icaza  <miguel@novell.com>

	* Move the important stuff from examples/desklet into
	gtksilver.dll, no point in having two assemblies, two sets of docs
	for merely one class.

	* Move the configuration stuff which is really only used by the
	weather applet into the weather applet.

	* Automake/autoconf the examples/desklets, lots of bitrot in
	there, will continue as time allows. 

	Fixed some of the bitrot

2008-03-28  Andrew Jorgensen  <ajorgensen@novell.com>

	* configure.ac: Added fallback tests for when xtst.pc
	doesn't exist on the system

2008-03-28  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* configure.ac: Define __STDC_LIMIT_MACROS.

2008-03-28  Jackson Harper  <jackson@ximian.com>

	* configure.ac: shocker needs the gtk libs now.

2008-03-25  Andrew Jorgensen  <ajorgensen@novell.com>

	* configure.ac: Process install.rdf instead of install.js
	* configure.ac: Add firefox plugin message to summary

2008-03-18  Andrew Jorgensen  <ajorgensen@novell.com>

	* configure.ac: Remove avformat dependency

2008-03-17  Geoff Norton  <gnorton@novell.com>
	
	* configure.ac: Make our swscale dependency optional.

2008-03-17  Geoff Norton  <gnorton@novell.com>

	* configure.ac: Search for clock_gettime in -lrt.
	
2008-03-17  Andrew Jorgensen  <ajorgensen@novell.com>

	* Makefile.am: test must be included in dist

2008-03-10  Andrew Jorgensen  <ajorgensen@novell.com>

	* configure.ac: Changed version to 0.4 (released 0.3 tarball)

2008-03-10  Geoff Norton  <gnorton@novell.com>

	* configure.ac: Detect SSE2 support.

2008-03-08  Geoff Norton  <gnorton@novell.com>

	* configure.ac: Detect MMX support.

2008-03-07  Geoff Norton  <gnorton@novell.com>

	* configure.ac: Fix the $DEBUG options to work with CFLAGS or CXXFLAGS

2008-03-05  Larry Ewing  <lewing@novell.com>

	* src/dependencyobject.cpp: avoid a null dereference crash.
	Avoids death in showcase and sprawl after toshoks big patch.

2008-02-19  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* configure.ac: Fix --with-debug to not be confused with --with-ffmpeg. If
	  --with-debug is defined, disable inlining and -O2 optimizations.

2008-02-06  Michael Dominic K.  <mdk@mdk.am> 

	* configure.ac: Configure embedded cairo with '--diable-png' since now
	we're using the GdkPixbuf PNG writer in xaml2png. Saves us some runtime
	memory. Fixes: #348071.

2007-12-10  Chris Toshok  <toshok@ximian.com>

	* configure.ac: add debug support stuff.
	
2008-01-29  Andrew Jorgensen  <ajorgensen@novell.com>

	* pixman, cairo: Synced with vendor branches following procedure outlined at
	http://svnbook.red-bean.com/en/1.4/svn.advanced.vendorbr.html

2008-01-28  Andrew Jorgensen  <ajorgensen@novell.com>

	* pixman, cairo: Disable distribution of unneeded cairo and pixman stuff

2008-01-12  Geoff Norton  <gnorton@novell.com>

	* configure.ac: Enable support for rsvg2-sharp if rsvg-sharp is 
	unavailable.

2008-01-11  Andrew Jorgensen  <ajorgensen@novell.com>

	* configure.ac: Fixed a problem with ifs that prevented --without-ffmpeg
	working with --enable-user-plugin

2008-01-11  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* configure.ac, README: Rename SL 1.1 to SL 2.0.
	* INSTALL: Rename SL 1.1 to SL 2.0, add note about --with-ffmpeg.

2008-01-11  Sebastien Pouliot  <sebastien@ximian.com>

	* configure.ac: Enable PenLineCapTriangle if the embedded cairo is
	patched to support it.

2008-01-10  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* moon.mdp: Deleted.
	* moon.mds: Updated.

2008-01-10  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* configure.ac: Add a --with-ffmpeg option (defaults to yes). Don't check
	  for ffmpeg's libraries unless --with-ffmpeg=yes.

2008-01-04  Larry Ewing  <lewing@novell.com>

	* src/panel.cpp (Panel::ComputeBounds): make sure we count the
	background bounds inside bounds with children.

2007-12-10  Chris Toshok  <toshok@ximian.com>

	* configure.ac: use AC_MSG_ERROR for all these error messages
	instead of echo + "exit 1". Also, make several more of the error
	conditions (like missing silver.pc/silverdesktop.pc) fatal instead
	of just echo's.

2007-12-04  Jeffrey Stedfast  <fejj@novell.com>

	* configure.ac: Added largefile checks

2007-12-03  Larry Ewing  <lewing@novell.com>

	* src/media.cpp (Image::Render): don't buffer alpha images use
	paint_with_alpha instead.
	
2007-12-03  Larry Ewing  <lewing@novell.com>

	* src/media.cpp (Image::Render): remove accumulated drawing cruft.

2007-11-29  Larry Ewing  <lewing@novell.com>

	* src/runtime.cpp (Surface::expose_event_callback): clear the
	pixmap in the transparent case.

	* src/media.cpp (MediaElement::Render): Disable (and fix) the
	SPLIT #define.

	* cairo/src/cairo-embed.h: autogenerate the cairo-embed file from
	nm output.

2007-11-28  Larry Ewing  <lewing@novell.com>

	* src/uielement.cpp (UIElement::DoRender): don't clip to the
	bounds when using opcity masks.

2007-11-23  Larry Ewing  <lewing@novell.com>

	* src/runtime.cpp (Surface::expose_event_callback): make sure we
	don't delete the delete the region before we need it.

2007-11-12  Andrew Jorgensen  <ajorgensen@novell.com>

	* NOTES: 1.1 User Plugin works now, removed caveat
	* configure.ac: Get mono paths for 1.1 plugin XPI

2007-11-09  Miguel de Icaza  <miguel@novell.com>

	* man/mopen.1 (x): 

2007-11-08  Stephane Delcroix  <sdelcroix@novell.com>

	* configure.ac:  check for gtk-sharp-2.0 and rsvg-sharp-2.0 required
	for tools/svg2xaml. Fixes bnc #325316.

2007-11-06  Larry Ewing  <lewing@novell.com>

	* src/dirty.cpp: call UpdateBounds inside the DirtyOpacity logic
	since opacity changes can change our bounds now.

	* src/uielement.cpp: make invisible elements have empty bounding
	boxes.

	* src/panel.cpp: disable FindStartingElement again while the
	bounds issues are sorted out.
	
2007-11-05  Andrew Jorgensen  <ajorgensen@novell.com>

	* configure.ac: Hack to remove glitz from the link flags
	should fix Bug 338506

2007-11-01  Andrew Jorgensen  <ajorgensen@novell.com>

	* configure.ac: Generate install.js from install.js.in

2007-10-29  Andrew Jorgensen  <ajorgensen@novell.com>

	* configure.ac: Changes to include ffmpeg libs in the XPI package
	* ffmpeg.patch: Patch including changes needed in ffmpeg
	* INSTALL: Document these changes

2007-10-25  Andrew Jorgensen  <ajorgensen@novell.com>

	* configure.ac: Don't link against mozilla libraries for a browser
	plugin because they could be named differently on different systems
	Symbols will resolve properly because a plugin runs inside a browser
	which already has these libraries loaded

2007-10-25  Sebastien Pouliot  <sebastien@ximian.com>

	* README: Add Ink-related comments and update status about Cairo

2007-10-24  Andrew Jorgensen  <ajorgensen@novell.com>

	* README: Added a section about the plugin installer and the
	--enable-user-plugin configure option

2007-10-23  Andrew Jorgensen  <ajorgensen@novell.com>

	* cairo, pixman: svn:ignore autotools generated files

2007-10-23  Andrew Jorgensen  <ajorgensen@novell.com>

	* cairo, pixman, autogen.sh: Remove generated files, add autogen
	scripts from upstream, and call them from our autogen.sh

2007-10-23  Andrew Jorgensen  <ajorgensen@novell.com>

	* configure.ac: Add an optional --enable-user-plugin to control
	building of the plugin as installable in the user's own mozilla
	plugins directory

2007-10-22  Andrew Jorgensen  <ajorgensen@novell.com>

	* Makefile.am: Don't install manpages if we don't install the tools

2007-10-22  Andrew Jorgensen  <ajorgensen@novell.com>

	* pixman, cairo: Fixes for builds out of dist, don't try to generate
	the files under directories that aren't there.

2007-10-22  Andrew Jorgensen  <ajorgensen@novell.com>

	* pixman, cairo: Put the embed headers in the list of required headers
	so that it gets included in make dist

2007-10-22  Andrew Jorgensen  <ajorgensen@novell.com>

	* pixman, cairo: Moved pixman-embed.h and cairo-embed.h into the
	pixman/pixman and cairo/src directories because they really don't
	belong in our src directory

2007-10-22  Andrew Jorgensen  <ajorgensen@novell.com>

	* configure.ac: Disable pdf, svg, and ps in cairo
	* pixman, cairo: Only build the actual sources and don't install
	anything (this time we do it the correct way!)

2007-10-22  Jeffrey Stedfast  <fejj@novell.com>

	* configure.ac: Added a --with flag for enabling Pango
	support (disabled by default) because it will pull in the system
	cairo which will break us.

2007-10-22  Andrew Jorgensen  <ajorgensen@novell.com>

	* cairo, pixman: Don't install either of these

2007-10-22  Andrew Jorgensen  <ajorgensen@novell.com>

	* cairo, pixman: Fixed to build convenience (noinst) libraries for
	static linking
	* configure.ac: Build and link against internal pixman and cairo

2007-10-17  Andrew Jorgensen  <ajorgensen@novell.com>

	* cairo/src/cairo.h,cairoint.h, pixman/pixman/pixman.h: patched to
	include the symbol renaming headers.

2007-10-17  Andrew Jorgensen  <ajorgensen@novell.com>

	* Makefile.am: Conditional SUBDIRS were done wrong, fixed it.

2007-10-17  Chris Toshok  <toshok@ximian.com>

	* configure.ac: define MOON_PROG_LIBS for the unmanaged programs
	that we compile during the build (test/harness/xaml2png,
	src/sizes, src/demo) that may need to pull in the mono libraries
	to resolve symbols.

2007-10-16  Andrew Jorgensen  <ajorgensen@novell.com>

	* Makefile.am: gtk and tools should only build if we are including
	the mono runtime (1.1 profile)

2007-10-15  Chris Toshok  <toshok@ximian.com>

	* TODO: add blurb about collapsing Base and EventObject into 1
	class.

2007-10-01  Andrew Jorgensen  <ajorgensen@novell.com>

	* src/Makefile.am: Added fullscreen.h to dist

2007-09-28  Chris Toshok  <toshok@ximian.com>

	* configure.ac: we need an AM_CONDITIONAL for the
	INCLUDE_MONO_RUNTIME stuff, since we don't need
	plugin/moonlight.exe in the 1.0 case.

2007-09-28  Chris Toshok  <toshok@ximian.com>

	* configure.ac: move away from using an AM_CONDITIONAL for xrandr
	stuff.  it should modify config.h so we have adequate dependency
	tracking.

2007-09-28  Chris Toshok  <toshok@ximian.com>

	* configure.ac: add --with-mono-runtime configure argument.  by
	default we build a 1.0 system.  with --with-mono-runtime on the
	command line, the 1.1 environment (the mono runtime) is available
	for the plugin.

2007-09-26  Andrew Jorgensen  <ajorgensen@novell.com>

	* cairo/: Removed ... we'll use wget to grab the pristine tar and then
	patch it if we don't have a cairo-1.4.10 directory

2007-09-26  Andrew Jorgensen  <ajorgensen@novell.com>

	* cairo/: Added pristine cairo-1.4.10 sources

2007-09-26  Andrew Jorgensen  <ajorgensen@novell.com>

	* Makefile.am: Added test/harness to SUBDIRS for dist tarball
	* tools/xamlg/Makefile.am, tools/mopen/Makefile.am:
	  Added missing files for dist tarball

2007-09-24  Sebastien Pouliot  <sebastien@ximian.com>

	* configure.ac: Fix XRANDR support.

2007-09-22  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* moon.mdp: Updated.

2007-09-21  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* examples/desklet/rules.make: Make desklet use 3.0 instead of 2.1 so that
	  mopen can open them.

2007-09-19  Jeffrey Stedfast  <fejj@novell.com>

	* configure.ac: Add fontconfig and freetype2 checks.

2007-09-19  Zoltan Varga  <vargaz@gmail.com>

	* configure.ac: Add check for alsa devel pacakge.

2007-09-18  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* TODO: Updated with fullscreen info.

2007-08-30  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* moon.mdp: Added debug.*.

2007-08-29  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* moon.mdp, moon.mds: Created a MonoDevelop project with the source files.

2007-06-30  Marek Habersack  <mhabersack@novell.com>

	* desklet/desklets.cs: added the FindElement method to look up
	elements in a parent.
	Added the AllElementsFound property.

2007-06-29  Marek Habersack  <mhabersack@novell.com>

	* desklet/desklets.cs: removed a field from ConfigStore which
	isn't needed (storageName).
	Added some docs.

2007-06-29  Everaldo Canuto  <ecanuto@novell.com>

	* tools/mopen.cs: Use a new drag-and-move system that make use of
	canvas events to check mouse move. Now the elements events also 
	works, this drag-and-move is activated when you use -d option.

2007-06-29  Marek Habersack  <mhabersack@novell.com>

	* desklet/desklets.cs: added GConf config storage backend.

2007-06-28  Marek Habersack  <mhabersack@novell.com>

	* desklet/desklets.cs: beginnings of the config storage code.

2007-06-25  Marek Habersack  <mhabersack@novell.com>

	* desklet/lameclock/clock.cs: small modifications to the lameclock
	desklet - make am/pm show up properly, use 12h clock by default.

2007-06-25  Larry Ewing  <lewing@novell.com>

	* gtk/mopen.cs:  remove useless size allocate code.

	* gtk/CompositeHelper.cs: 
	* gtk/Makefile.am:
	* gtk/mopen.exe.config: add cairo and gdk helper functions.  
	All of these can go away with sufficiently new gtk# versions.

2007-06-24  Larry Ewing  <lewing@novell.com>

	* test/demo.cs: fix the resizing logic.

2007-06-24  Everaldo Canuto  <ecanuto@novell.com>

	* configure.ac: man/Makefile added to AC_OUTPUT.

2007-06-23  Chris Toshok  <toshok@ximian.com>

	* gtk/Assembly.cs: don't put the assembly key here.  pass it
	directly on the command line to gmcs so we can use a $(srcdir)
	path without generating the Assembly.cs file.

	* gtk/Makefile.am: make dist/distcheck work.

2007-06-22  Chris Toshok  <toshok@ximian.com>

	* moon.pc.in: new file.

	* configure.ac: generate our moon.pc file.

	* Makefile.am: add pkgconfig stuff.

2007-06-21  Dick Porter  <dick@ximian.com>

	* configure.ac: Added checks for mozilla "plugin" pkgconfig file

2007-06-18  Chris Toshok  <toshok@ximian.com>

	* gtk/ManagedDownloader.cs: use time_manager_add_tick_call for the
	cross thread calls instead of Application.Invoke.

2007-06-15  Miguel de Icaza  <miguel@novell.com>

	* test/ManagedDownloader.cs: Fixed this

2007-06-13  Jeffrey Stedfast  <fejj@novell.com>

	* configure.ac: Added pango as a dependency for text rendering.

2007-06-13  Chris Toshok  <toshok@ximian.com>

	* configure.ac: make sure we're getting the right version of
	cairo, and don't necessarily use the one that comes along with the
	gtk dependency.

2007-06-12  Jeffrey Stedfast  <fejj@novell.com>

	* configure.ac: Back to alsa instead of SDL (now that I've figured
	out the secret to playing non-choppy audio with it).

2007-06-10  Miguel de Icaza  <miguel@novell.com>

	* configure.ac: Check for mono, prepare cflags and libs to embed
	the Mono VM.

2007-06-12  Jeffrey Stedfast  <fejj@novell.com>

	* configure.ac: We now use SDL for audio instead of alsa.

2007-06-09  Everaldo Canuto  <ecanuto@novell.com>

	* configure.ac: plugin/test/Makefile added to AC_OUTPUT.

2007-06-08  Everaldo Canuto  <ecanuto@novell.com>

	* configure.ac: Fix MOON_LIBS value, using --libs instead of --cflags.

2007-06-07  Everaldo Canuto  <ecanuto@novell.com>

	* README: Update file to include plugin install information.

2007-06-05  Jeffrey Stedfast  <fejj@gnome.org>

	* configure.ac: Added checks to see which mozilla xpcom .pc file
	to use and to collect the needed CFLAGS and LIBS for the plugin.

	* plugin/Makefile.am: DOn't reference nspr nor xulrunner-xpcom
	directly, rely on AB_SUBST() variables from configure.ac

2007-06-04  Jeffrey Stedfast  <fejj@novell.com>

	* configure.ac: Do proper checks for Mozilla nspr/nss pkg-config
	fu.

2007-06-03  Everaldo Canuto  <ecanuto@novell.com>

	* Makefile.am: install-plugin target added.

2007-06-02  Everaldo Canuto  <ecanuto@novell.com>

	* Makefile.am, configure.ac, plugin/*: Mozilla plugin added.

	
